package cz.fi.muni.pa165.dto;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
@EqualsAndHashCode(of = "id")
public class SystemUserDto {
    private String id;

    @NotBlank
    private String userName;

    @NotBlank
    private String password;

    @NotBlank
    private String systemRole;

    public SystemUserDto(String token, String userName) {
        this.id = token;
        this.userName = userName;
    }
}
